email configuration in trunk, rev 5857
Status: Closed Start date: 2011-05-20
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email notifications Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version:

Description

| started a thread in the forum about not working email configuration in trunk, rev 5857. The email configuration in
config/configuration.yml does not work. | found a solution by reverting to the old 1.1.x email.yml, that | copied in the trunk's work
copy.

Please see the thread for more information.

History

#1 - 2011-05-20 12:36 - Etienne Massip

config/configuration.yml works for me with trunk when configured in :default "section", didn't try :production.

#2 - 2011-05-21 08:12 - Ivan Cenov

tested right now:
it works in :default section
in doesn't work in :production section

#3 - 2011-05-21 16:06 - Etienne Massip

Can't reproduce, could you please post your file ?

#4 - 2011-05-21 20:13 - lvan Cenov
- File configuration-ok.yml added

- File configuration-not-ok.yml added

command line:

D:\biz\apps\redmine_trunk>ruby script\server -e production

=> Booting WEBrick

=> Rails 2.3.11 application starting on http://0.0.0.0:3000

=> Call with -d to detach

=> Ctrl-C to shutdown server

[2011-05-21 21:07:07] INFO WEBrick 1.3.1

[2011-05-21 21:07:07] INFO ruby 1.8.7 (2010-08-16) [i386-mingw32]
[2011-05-21 21:07:07] INFO WEBrick::HTTPServer#start: pid=7116 port=3000

#5 - 2011-05-22 11:12 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Invalid

In configuration-not-ok.yml, you have duplicated the "production” section. The last one at the end of the file (which is empty) overrides the first one.
You have to either:

® remove the production section at the end
* or move your email configuration for production at the end.

production:
email_delivery:
http://www.redmine.org/boards/2/topics/24046?r=24062

production: <====== duplicates the first "production" section

#6 - 2011-05-22 18:43 - Ivan Cenov
Thanks,

p.s. | thought that multiple sections with same name are possible ...
